#pragma once

#include <glm/glm.hpp>

/**
 * @brief Struct representing a uniform buffer object.
 *
 * This struct holds the model, view, and projection matrices for use in shaders.
 */
struct UniformBufferObject {
  alignas(16) glm::mat4 model; ///< Model transformation matrix
  alignas(16) glm::mat4 view;  ///< View transformation matrix
  alignas(16) glm::mat4 proj;  ///< Projection matrix
};
